%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-underscore
Version:    1.5.1
Release:    2%{?dist}
Summary:    JavaScript's functional programming helper library
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/documentcloud/underscore
Source0:    http://registry.npmjs.org/underscore/-/underscore-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh
BuildArch:  noarch

BuildRequires:  nodejs-packaging
BuildRequires:  web-assets-devel
BuildRequires:  npm(uglify-js)

%if 0%{?enable_tests}
BuildRequires:  npm(phantomjs)
%endif

%description
Underscore.js is a utility-belt library for JavaScript that provides support
for the usual functional suspects (each, map, reduce, filter...) without
extending any core JavaScript objects.

%package -n js-underscore
Summary:    JavaScript's functional programming helper library
Group:      System Environment/Libraries
Requires:   web-assets-filesystem

%description -n js-underscore
Underscore.js is a utility-belt library for JavaScript that provides support
for the usual functional suspects (each, map, reduce, filter...) without
extending any core JavaScript objects.

%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
rm -f underscore-min.*


%build
uglifyjs underscore.js -m --source-map underscore-min.map -o underscore-min.js


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/underscore
cp -pr package.json index.js underscore.js underscore-min.js underscore-min.map \
    %{buildroot}%{nodejs_sitelib}/underscore

#install browser version
mkdir -p %{buildroot}%{_jsdir}/underscore
cp -pr underscore.js underscore-min.js underscore-min.map \
    %{buildroot}%{_jsdir}/underscore

# No dependencies.
# %%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/phantomjs/bin/phantomjs \
    test/vendor/runner.js test/index.html?noglobals=true
%endif


%files
%doc CONTRIBUTING.md LICENSE README.md
%{nodejs_sitelib}/underscore

%files -n js-underscore
%doc CONTRIBUTING.md LICENSE README.md
%{_jsdir}/underscore

%changelog
* Sun Jan 19 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.5.1-2
- ship a browser version
- add missing BuildRequires on uglify-js
- remove no longer present documentation files

* Sun Aug 18 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.5.1-1
- update to upstream release 1.5.1
- remove pre-compiled JS and use uglifyjs to compile

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.4.4-2
- rebuild for missing npm(underscore) provides on EL6

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.4.4-1
- initial package
